Allow searching of only local hosted files
Closed, DeclinedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
drdee, Deskana, wikibugs-l
Projects
Reference
bz30239
Description

Author: andrewcatherall

Description:
When searching for multimedia on enwp using the search component, it also returns results from commons. I would like an option to disable this, possibly a small checkbox which says 'Only search files hosted locally'. Thanks :)


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=61061

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz30239.
bzimport created this task.Via LegacyAug 5 2011, 8:18 AM
bzimport added a comment.Via ConduitFeb 17 2012, 5:18 AM

johnnymrninja wrote:

Discussed at village pump. I don't know how feasible this is but it is highly desirable for those working on local images. http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29/Archive_97#Local_image_search.3F

Aklapper added a comment.Via ConduitMar 26 2013, 11:19 AM

[Merging "MediaWiki extensions/Lucene Search" into "Wikimedia/lucene-search2", see bug 46542. You can filter bugmail for: search-component-merge-20130326 ]

Deskana added a comment.Via ConduitFeb 7 2014, 10:48 PM

Lucene is at the end of its life, so I'm changing to RESOLVED WONTFIX. That said, I've filed an enhancement request for CirrusSearch for this feature. See bug 61061 for more information.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.